<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Platform Details: Windows</title>
<link href="stylesheet.css" type="text/css" rel="stylesheet"></link>
</head>

<body>

<div id="toplink">
<a href="../README.html">Back to README</a>
</div>

<h1>Platform Details: Windows</h1>

<p>
Although Native Client modules are platform independent,
the instructions for installing and building Native Client
differ a bit between platforms.
This page has details about the Windows environment.
</p>

<p>
For instructions on installing and using Native Client,
see <a href="getting_started.html">Getting Started</a>.
That page and others,
such as <a href="building.html">Building Native Client</a>,
link to this page as needed.
</p>

<h3>
Contents:
</h3>

<ul>
<li><a href="#testedconfigs">Tested configurations</a> </li>
<li> <a href="#run">Running on Windows</a>
  <ul>
  <li><a href="#run-python">Getting Python</a> </li>
  <li><a href="#run-pythonpath">Checking the Python path</a> </li>
  <li><a href="#run-cygwin">Avoiding Cygwin Python</a> </li>
  <li><a href="#run-vista">Vista: Installing when UAC is enabled</a> </li>
  </ul></li>
<li> <a href="#dev">Developing on Windows</a>
  <ul>
  <li><a href="#dev-env">Setting up your development environment</a></li>
  </ul></li>
</ul>

<h2> <a name="testedconfigs" id="testedconfigs"> </a> Tested configurations </h2>

<p>
Native Client has been tested with the following Windows configurations:
</p>

<ul>
<li> OS
  <ul>
  <li> Windows XP (32-bit only) </li>
  <li> Windows Vista (32-bit only) </li>
  </ul></li>
<li> Browser
  <ul>
  <li> Firefox 3 </li>
  <li> Chrome </li>
  <li> Safari </li>
  <li> Opera </li>
  </ul> </li>
<li> Python
  <ul>
  <li> 2.4 </li>
  </ul> </li>
<li> Development environment
  <ul>
  <li> Visual Studio 2005 (8.0) </li>
  </ul> </li>
</ul>

<p>
Support for Internet Explorer is not available at this time.
</p>

<p>
<b>Note:</b>
Native Client does <em>not</em> currently support 64-bit Windows.
</p>

<h2><a name="run" id="run"> </a> Running on Windows </h2>

<h3><a name="run-python" id="run-python"> </a> Getting Python </h3>

<p>
You can download Python for free. See
<a href="http://www.python.org/download/">http://www.python.org/download/</a>
for details.
</p>

<h3><a name="run-pythonpath" id="run-pythonpath"> </a> Checking the Python path </h3>

<p>
The path to <code>python</code> must have <b>no spaces</b>.
You can use the <code>where</code> command
to see the path:
</p>

<pre>
C:\><kbd>where python</kbd>
C:\Python24\python.exe
</pre>

<h3><a name="run-cygwin" id="run-cygwin"> </a> Avoiding Cygwin Python </h3>

<p>
If you have Cygwin,
make sure your <code>python</code> command
is from the standard Python distribution,
not from Cygwin.
You can test using the following command:
</p>

<pre>
<kbd>python -c "import sys; print sys.platform"</kbd>
</pre>

<p>
If the output is <code>cygwin</code>,
then you're using the Cygwin version of Python
and need to find the standard version.
Once you have the standard version,
put its directory at the front of your PATH:
</p>

<pre>
<kbd>set PATH=c:\<em>python_install_dir</em>;%PATH%</kbd>
</pre>

<h3><a name="run-vista" id="run-vista"> </a> Vista: Installing when UAC is enabled </h3>

<p>
If <a href="http://en.wikipedia.org/wiki/User_Account_Control">User
Account Control</a> (UAC) is enabled,
you can't use SCons to install the plug-in on Vista.
Instead, you need to copy three files into
<code>C:\Program Files\Mozilla Firefox\plugins</code>:
</p>

<ul>
<li> <code><em>install_dir</em>\nacl\googleclient\native_client\scons-out\opt-win\staging\<b>npGoogleNaClPlugin.dll</b></code> </li>
<li> <code><em>install_dir</em>\nacl\googleclient\native_client\scons-out\opt-win\staging\<b>SDL.dll</b></code> </li>
<li> <code><em>install_dir</em>\nacl\googleclient\native_client\scons-out\opt-win\staging\<b>sel_ldr.exe</b></code> </li>
</ul>

<h2><a name="dev"> </a> Developing on Windows </h2>

<p>
You need Visual Studio 2005 (8.0) and possibly Cygwin
to build Native Client on Windows.
Cygwin is required only if you need to run <code>make</code> &mdash;
for example, if you need to build the SDK.
</p>

<p>
<b>Note:</b> If you have Cygwin,
use the <b>xterm</b> shell window instead of <code>cygwin.bat</code>.
</p>


<p id="license">
Except as otherwise
<a href="http://code.google.com/policies.html#restrictions">noted</a>,
the content of this page is licensed under a
<a href="http://creativecommons.org/licenses/by/2.5/">Creative Commons
Attribution 2.5 license</a>.
</p>

</body>
</html>
